#### D.15.31.9 PropagatorFunction

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  PropagatorFunction(G,aa,O,t[,l]); G graph, aa list, O list, t int, l list

Assume:
  G is a graph (a Feynman graph or a pearl chain) of the degree d, aa is a partition of degree d, O is an ordering of the vertices of G, l is a list representing the leaky edges of G and t is one of 0,1,2 or 3.

Return:
  list P_t of propagator function for each edge of G as follows: P_0: Propagator for a Feynman graph G as in [BBM], i.e., a graph without any self- looping edges, leaks or vertex contributions.
  P_1: Propagator for a Feynman graph G without vertex contributions as in [BGM1], i.e., A graph that may have self-looping edges and leaks. P_2: Propagator for a Feynman graph G with vertex contributions as in [BGM1] possibly with self-looping edges and leaks.
  P_3: Propagator for a pearl chain G as in [BGM2], i.e., graph G may have leaks.

Theory:
  Computes the numerator and the denominator of the propagator function for every edge of graph G depending on the integer t.

Example:

    LIB "tropicalEllipticCovers.lib";
    ring r1=0, (x1,x2,x3,x4),dp;
    graph G = makeGraph(list(1,2,3,4),list(list(1,3),list(1,2),list(1,2),list(2,4),list(3,4),list(3,4)));
    PropagatorFunction(G,list (0,2,1,0,0,1), list (x1,x3,x4,x2),0);
    //This is another example:
    ring r2=0,(x1,x2,x3,z1,z2,z3),dp;
    graph GG = makeGraph(list(1,2,3),list(list(1,1),list(1,2),list(2,3),list(3,1)));
    PropagatorFunction(GG,list(1,0,0,3),list(x1,x2,x3),1);
    //Yet another example
    ring r3=0,(x1,x2,x3,x4,x5),dp;
    graph P=makeGraph(list(1,2,3,4),list(list(1,2),list(2,3),list(3,4),list(4,1)));
    //graph P is a pearl chain
    PropagatorFunction(P, list (1,0,0,1),list (x1,x2,x3,x4),3);

User manual for Singular version 4.4.1, 2025, generated by texi2html.